Loading...
Searching...
No Matches
casacore::LELScalar< T > Class Template Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

More...

`#include <LELScalar.h>`

## Public Member Functions

| LELScalar ()
| Default constructor sets a False mask.
| LELScalar (const T &value, Bool mask=True)
| Constructor takes value and optional mask.
const T & | value () const
| Get value.
T & | value ()
Bool | mask () const
| Get mask.

## Private Attributes

T | itsValue
Bool | itsMask

## Detailed Description

template<class T>
class casacore::LELScalar< T >

This LEL class holds a scalar with a mask.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Synopsis

This LEL class holds a scalar with a mask.

### Motivation

It maskes it possible to handle a scalar with its mask as a single object.

Definition at line 57 of file LELScalar.h.

## Constructor & Destructor Documentation

## LELScalar() [1/2]

template<class T>

casacore::LELScalar< T >::LELScalar | ( |  | ) |

Default constructor sets a False mask.

## LELScalar() [2/2]

template<class T>

casacore::LELScalar< T >::LELScalar | ( | const T & | value,
|  | Bool | mask = True )

inline

Constructor takes value and optional mask.

Definition at line 64 of file LELScalar.h.

References itsMask, itsValue, mask(), casacore::True, and value().

## Member Function Documentation

## mask()

template<class T>

Bool casacore::LELScalar< T >::mask | ( |  | ) | const

inline

Get mask.

Definition at line 76 of file LELScalar.h.

References itsMask.

Referenced by LELScalar().

## value() [1/2]

template<class T>

T & casacore::LELScalar< T >::value | ( |  | ) |

inline

Definition at line 71 of file LELScalar.h.

References itsValue.

## value() [2/2]

template<class T>

const T & casacore::LELScalar< T >::value | ( |  | ) | const

inline

Get value.

Definition at line 69 of file LELScalar.h.

References itsValue.

Referenced by LELScalar().

## Member Data Documentation

## itsMask

template<class T>

Bool casacore::LELScalar< T >::itsMask

private

Definition at line 81 of file LELScalar.h.

Referenced by LELScalar(), and mask().

## itsValue

template<class T>

T casacore::LELScalar< T >::itsValue

private

Definition at line 80 of file LELScalar.h.

Referenced by LELScalar(), value(), and value().

The documentation for this class was generated from the following files:

- lattices/LEL/LELInterface.h
- lattices/LEL/LELScalar.h